privilegeTargets:
  Neos\Flow\Security\Authorization\Privilege\Method\MethodPrivilege:
    'Newland.Toubiz.Poi.Neos:ControllerActions':
      matcher: 'method(Newland\Toubiz\Poi\Neos\Controller\.*Controller->(teaser|teaserList|list|filterList|link|show|ajaxShow|index|articleDetail|showTeaserList)Action())'
    'Newland.Toubiz.Poi.Neos:WidgetControllerActions':
      matcher: 'method(Newland\Toubiz\Poi\Neos\ViewHelpers\.*\Controller\.*Controller->indexAction())'
    'Newland.Toubiz.Poi.Neos:ApiActions':
      matcher: 'method(Newland\Toubiz\Poi\Neos\Controller\ApiController->.*Action())'

  'Neos\Neos\Security\Authorization\Privilege\ModulePrivilege':
    'Newland.Toubiz.Poi.Neos:BackendModule':
      matcher: 'management/articleModule'

roles:
  'Neos.Flow:Everybody':
    privileges:
      -
        privilegeTarget: 'Newland.Toubiz.Poi.Neos:ControllerActions'
        permission: GRANT
      -
        privilegeTarget: 'Newland.Toubiz.Poi.Neos:WidgetControllerActions'
        permission: GRANT
      -
        privilegeTarget: 'Newland.Toubiz.Poi.Neos:ApiActions'
        permission: GRANT

  'Neos.Neos:Editor':
    privileges:
      -
        privilegeTarget: 'Newland.Toubiz.Poi.Neos:BackendModule'
        permission: GRANT
